package javax.rmi.CORBA;

import java.rmi.NoSuchObjectException;
import java.rmi.RemoteException;
import java.rmi.Remote;

public interface PortableRemoteObjectDelegate
{
    public abstract void exportObject(Remote p0) throws RemoteException;
    
    public abstract Remote toStub(Remote p0) throws NoSuchObjectException;
    
    public abstract void unexportObject(Remote p0) throws NoSuchObjectException;
    
    public abstract Object narrow(Object p0, Class p1) throws ClassCastException;
    
    public abstract void connect(Remote p0, Remote p1) throws RemoteException;
}
